Subject: Re: fresh install questions
From: "Pierre A. Humblet" <[email-masked]>
To: [email-masked]
Cc: Erik Weibust <[email-masked]>
Date: Fri, 25 Jun 2004 12:18:47 -0400

On Fri, Jun 25, 2004 at 07:45:48AM -0700, Erik Weibust wrote:
> I just had my XP machine at work rebuilt and the first
> thing I went to install was cygwin.  I went with a
> complete "everything" install.  The problem is the
> same one I've seen before.  When the install is
> complete I run the shortcut to start cygwin and get a
> vague message that makes me think the install didn't
> "go so well".

As explained in the mkpasswd man page, the home directory
in /etc/passwd comes from the Windows home directory specified 
in your Windows user profile, if any. Else it has the form
/home/username
 
> The work around is easy.  I edit /etc/passwd in
> notepad and change what cygwin uses for $HOME from
> /cygdrive/h to /home/erikweibust.
> 
> /home/erikweibust was not created as part of the
> install.  I think I've had it created before on other
> machines on the "first use" of cygwin.  I'm not sure
> why I get this problem.  Is cygwin trying to use some
> XP env vars on it's first start?

Cygwin will normally create the $HOME directory when running
bash, specifically in /etc/profile. 
You seem to assume that $HOME must be coming from /etc/passwd.
As explained in /etc/profile, it can also be inherited by 
Cygwin from Windows. So the answer to your question is "yes".

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/